Skip to main content
`Ctrl`+`K`

# MatColoringSetWeightType

Set the type of weight computation used while computing the coloring

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringSetWeightType(MatColoring mc, MatColoringWeightType wt)

Logically Collective

## Input Parameters

- mc - the `MatColoring` context

- wt - the weight type

## See Also

`MatColoring`, `MatColoringWeightType`, `MatColoringApply()`

## Level

beginner

## Location

src/mat/graphops/color/interface/matcoloring.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages